*********************************************************************************
* EXPLORE SEARCH PATTERNS
**********************************************************************************

import delimited "..\Bay Area Data Files\searchpatterns.txt", clear 

* Number of unique queries
count

* Number of unique individuals
egen total_users = total(number_alerts)
sum total_users

* Queries represented by only one individual
count if number_alerts == 1
count if number_alerts == 2
count if number_alerts > 6
sum number_alerts

replace number_alerts = 7 if number_alerts > 7

graph bar (count) covers_seg_1, scheme(s1mono) ytitle(Number of Queries) over(number_alerts, relabel(7 "7+")) blabel(bar)

graph export "Figures\QuerySplit.pdf", replace
