%-------------------------------------------
%  PRODUCES FIGURE 3 IN THE PAPER
%----------------------------------------------

mm   = 1;
msize=30;

medcomp = quantiles_array{mm}(:,2)/sum(marketcomps(:,mm));

stockshares = seg_stocks ./ (aggzip' * zipstocks);

medcompT = medcomp;
medcompT(medcomp<.005)=.005;

figure;
subplot(1,2,1);

plotratio = 100*marketcomps(:,mm)/sum(marketcomps(:,mm));
        hold on;
        colormap(G)
        
        boundaries=[min(log(medcompT))-0.05 max(log(medcompT))]; 
        
        set(gca,'FontSize', 10); hold on; caxis(boundaries);
        scatter(plotratio,100*medcomp,msize,log(medcompT),'filled');
        
        xlabel('Inventory (% of total Bay area)');ylabel('Inventory scanned by median client (% of total Bay Area)');
        plot(plotratio,plotratio,'k--','LineWidth',1);
        axis([0 .9 0 10]);
        
subplot(1,2,2);
set(gca,'Position',[.51 .11 .47 .81])
%         hold on;
%         bayarea_sub;
%         colormap gray;
%         bayareaextras_dots;
%         scatterm(lat,lon,30,quantiles_array{mm}(:,2)/sum(marketcomps(:,mm)),'filled');
circles=0;       


var_color = 'log(medcompT)';

var_box = [min(eval(var_color)) max(eval(var_color))];
varval = eval(var_color);

bayarea_sub
%bayareaextras_dots
hold on;
cc = colormap(G);

cities = {'San Jose','San Francisco'};
%cities=citynames(bigcities)
for cc=1:length(cities)
    geoshow(zipstruc(ismember(zip_citiesN,cities{cc})),'FaceColor',[.9 .9 .9],'EdgeColor',[.6 .6 .6]);
end


if circles
    radius = .01;
    stepsize = .1;
    
    for zz=1:num_zips;
        sel = logical(aggzip(zz,:));
        varnow = varval(sel);
        centerx = lat(zz);
        centery = lon(zz);
        edges = [0;cumsum(stockshares(sel))*2*pi];
        colvec=zeros(sum(sel),1);
        %    locs = [stockshares(1)/2;stockshares(1)/2cumsum(stockshares(sel))*2*pi];
        for ss=1:sum(sel)
            t = [edges(ss):stepsize:edges(ss+1)];
            lat_c = [centerx,centerx+radius*cos(t),centerx];
            lon_c = [centery,centery+radius*sin(t),centery];
            %patchm(lat_c,lon_c,);
            share = (varnow(ss) - var_box(1))/(var_box(2)-var_box(1));
            col = share*cc(end,:) + (1-share)*cc(1,:);
            colvec(ss)=col(end,:);
            % polygon
            geoshow(lat_c,lon_c,'DisplayType','Polygon','FaceColor',col,'EdgeColor',[1 1 1]);
            %       var_color = 'log(pricenow)';
            %       var_box = [min(eval(var_color)) max(eval(var_color))];
            %       patchpr = makesymbolspec('Polygon',{var_color,var_box,'FaceColor',gray});
            %
            %       geoshow(lat_c,lon_c,'SymbolSpec',patchpr,'EdgeColor',[1 1 1],'EdgeAlpha',0);
            %get(hh,'FaceColor')
            %pause
        end
    end
else
    dotcolor=(varval-var_box(1))/(var_box(2)-var_box(1));
    colormap(G)
    
    grenzen=[min(dotcolor)-0.05 max(dotcolor)]; caxis(grenzen);
    scatterm(lat_seg,lon_seg,30,(varval - var_box(1))/(var_box(2)-var_box(1)),'filled');
end

if printflag
    print('-dpdf',    [paperdir 'searches.pdf']);
    print('-depsc2',  [paperdir 'searches.eps']);
end