%=== estimates model

% must preset mu_s_calc, mu_h_calc, T_calc, ThH_calc, f_J_calc_formula, alpha_bar, beta_tilde_calc

% by type: inventory in search range
J_calc          = ThH_calc * mu_s_calc;
% by type: housing stock in search range
mu_tilde_h_calc = ThH_calc * mu_h_calc;

% find total number of buyers
%    first, mu_b/m*buyers
Tbhat      = T_calc .* (ThH_calc' * (beta_tilde_calc ./ J_calc));

% new calculation: buyer weighted avg match rate
% the model formula is
% avgmatchrate = mu_tilde_b'*((ThH*(mu_s.*mbuy))./(ThH*mu_s))/sum(mu_tilde_b);
% solving for buyers:
buyers = beta_tilde_calc'*((ThH_calc*(mu_s_calc./Tbhat))./(ThH_calc*mu_s_calc)) / alpha_bar;

% alternative old spec: inventory weighted avg match rate
% buyers     = (sum(mu_s_calc./Tbhat)/sum(mu_s_calc))  / alpha_bar;

mu_tilde_b = buyers * beta_tilde_calc;

mbuy       = 1 ./ (buyers * Tbhat);
mu_th      = mu_tilde_b .* (1 + (ThH_calc * (mu_h_calc.*T_calc.*mbuy)./J_calc));

q          =  1   ./ (mbuy.*T_calc);  
mhat       =  mbuy .* q;
desire     = ((ThH_calc' * ( mu_th ./ mu_tilde_h_calc )));
speed      = (mbuy);
desire_seg = 1+q .* mu_s_calc ./ mu_h_calc;
mu_th_seg  = (desire_seg).*mu_h_calc;
mu_b       = q .* mu_s_calc;